use sea_orm::prelude::*;
use teloxide::{adaptors::Throttle, prelude::*};

use crate::{
    errors::NoMessageText,
    handlers::{MainDialogue, PackagedHandler},
};

pub async fn get_account_name(
    bot: Throttle<Bot>,
    msg: Message,
    db: DatabaseConnection,
    dialogue: MainDialogue,
    next: PackagedHandler<String>,
) -> crate::Result<()> {
    let text = msg.text().ok_or(NoMessageText)?.trim().to_owned();
    super::generic::generic(
        bot,
        text,
        msg,
        db,
        dialogue,
        |_, _, _, _| Box::pin(async { Ok(true) }),
        next,
    )
    .await
}
