use crate::{
    errors::HandlerUsed,
    handlers::{MainDialogue, PackagedHandler},
};
use sea_orm::prelude::*;
use teloxide::{adaptors::Throttle, prelude::*};

pub async fn get_document(
    bot: Throttle<Bot>,
    msg: Message,
    db: DatabaseConnection,
    dialogue: MainDialogue,
    next: PackagedHandler<()>,
) -> crate::Result<()> {
    next.lock().await.take().ok_or(HandlerUsed)?(bot, msg, db, dialogue, ()).await
}
